/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package animation;

import java.awt.Color;
import java.awt.GradientPaint;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.geom.RoundRectangle2D;
import java.net.URL;
import javax.swing.ImageIcon;
import javax.swing.JPanel;

/**
 * Do some (static) drawing using paintComponent
 * @author hajo
 */
public class FancyPanel extends JPanel {

    Color color1 = new Color(76, 135, 28);
    Color color2 = new Color(144, 222, 80);

    private final ImageIcon blurred;
    
    public FancyPanel() {
        URL imgURL = getClass().getResource("/animation/dice6blurred.png");
        blurred = new ImageIcon(imgURL, "blurred");
    }
 
    
    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D g2d = (Graphics2D) g;
        g2d.setRenderingHint(RenderingHints.KEY_RENDERING, RenderingHints.VALUE_RENDER_QUALITY);
        int w = getWidth();
        int h = getHeight();
        GradientPaint gp = new GradientPaint(75, 75, color1,
                95, 95, color2, true);
        g2d.setPaint(gp);
        g2d.fillRect(0, 0, w - (w / 2), h - (h / 2));
        
        
        RoundRectangle2D r = new RoundRectangle2D.Double(100, 100, 100, 100, 23, 23);
        g2d.draw(r);
        g2d.setColor(new Color(100, 100, 100));
        g2d.fill(r);
        
        blurred.paintIcon(this, g2d, 400, 100);     
    }
}
