package filehandling;

import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

/**
 * This is a text file read and write demo
 *
 * @author hajo
 */
public class ReaderWriter {

    public final static String DELIMITER = ",";
    public final static Charset ENCODING = StandardCharsets.UTF_8;

    // Write to disk
    public void save(String fileName, List<ClassToSave> objects) throws IOException {
        PrintWriter pw = new PrintWriter(fileName);
        for (ClassToSave c : objects) {
            StringBuilder sb = new StringBuilder();
            sb.append(c.getI()).append(DELIMITER).append(c.getS());
            pw.println(sb.toString());
        }
        pw.close();
    }

    // Read from disk
    public List<ClassToSave> open(String fileName) throws IOException {
        final int I = 0;
        final int S = 1;
        Scanner sc = new Scanner(new File(fileName));
        List<ClassToSave> objects = new ArrayList<>();
        while (sc.hasNextLine()) {
            String line = sc.nextLine();
            String[] attribs = line.split(DELIMITER);
            objects.add(new ClassToSave(Integer.valueOf(attribs[I]), attribs[S]));
        }
        sc.close();
        return objects;
    }
}
