package filehandling.swing;

import java.io.File;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;

/**
 * Basic usage the JFileChooser component
 *
 * @author hajo
 */
// This class is a listener implements ActionListener
public class TestFileChooser extends JFrame {

    public TestFileChooser() {
        // Test save dialog
        final JFileChooser save = new JFileChooser();
        save.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
        int returnVal = save.showSaveDialog(this);
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            File file = save.getSelectedFile();
            System.out.println(file.getAbsoluteFile().toString());
        }
        // Test open dialog
        final JFileChooser open = new JFileChooser();
        returnVal = open.showOpenDialog(this);
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            File file = open.getSelectedFile();
            System.out.println(file.getAbsoluteFile().toString());
        }


        System.exit(0);  // Finish program
    }

    // Just to start. Swing program always started like this
    public static void main(String args[]) {
        SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                new TestFileChooser().setVisible(true);
            }
        });

    }
}
