
package towersofhanoi;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author hajo
 */
public class Rod {

    private final int nDiscs;
    private final List<Disc> discs = new ArrayList<>();
    private final String name;

    public Rod(String name, int nDiscs) {
        this.nDiscs = nDiscs;
        this.name = name;
    }

    public boolean push(Disc d) {
        if (discs.size() < nDiscs) {
            discs.add(d);
            return true;
        } else {
            return false;
        }
    }

    public Disc pop() {
        return discs.remove(discs.size() - 1);
    }

    @Override
    public String toString() {
        return name + ":" + discs;
    }

}
