package visualtowersofhanoi;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class HanoiView extends JPanel {

    private HanoiModel model;
    private HanoiWorld world;
    private Timer timer;

    public HanoiView(HanoiModel model) {
        this.model = model;
        world = new HanoiWorld(model);
        JButton stepButton = new JButton("Step");
        JButton runButton = new JButton("Run");
        JButton stopButton = new JButton("Stop");
        setLayout(new BorderLayout());
        add(world,BorderLayout.NORTH);
        add(stepButton,BorderLayout.WEST); 
        add(runButton,BorderLayout.CENTER);
        add(stopButton,BorderLayout.EAST);
        ActionListener stepListener = new StepListener();
        stepButton.addActionListener(stepListener);
        runButton.addActionListener(new RunListener());
        stopButton.addActionListener(new StopListener());
        timer = new Timer(300,stepListener);
    }

    private class StepListener implements ActionListener {
        @Override
        public void actionPerformed(ActionEvent e) {
            model.moveOne();
            world.repaint();
        }
    }

    private class RunListener implements ActionListener {
        @Override
        public void actionPerformed(ActionEvent e) {
            timer.start();
        }
    }

    private class StopListener implements ActionListener {
        @Override
        public void actionPerformed(ActionEvent e) {
            timer.stop();
        }
    }
}