package visualtowersofhanoi;

import javax.swing.*;
import java.awt.*;

public class HanoiWorld extends JPanel {
    private HanoiModel model;

    public HanoiWorld(HanoiModel model) {
        this.model = model;
        setPreferredSize(new Dimension(400, 400));
        setBackground(Color.WHITE);
        setOpaque(true);
    }

    @Override
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(new Color(100,0,0));
        for (int i=0; i<3; i++) {
            int height = 11 * model.getDisks()+10;
            g.fillRoundRect(67 + 130 * i,385-height,6,height,3,3);
        } 
        g.fillRect(5,380,390,15);
        g.setColor(Color.BLUE);
        for (int t = 0; t < 3; t++) {
            for (int i = 0; i < model.getSize(t); i++) {
                int disk = model.getDisk(t,i);
                g.fillRoundRect(70+130*t - 5*disk - 5, 369 - 11*i, 10*disk + 10, 10, 10, 10);
            }
        }
    }
}